BLK_RQ_MAP_KERN(9)

NAME
blk_rq_map_kern - map kernel data to a request, for REQ_TYPE_BLOCK_PC usage

SYNOPSIS

int blk_rq_map_kern(struct request_queue * q, struct request * rq, void * kbuf, unsigned int len, gfp_t gfp_mask);

ARGUMENTS

q
    request queue where request should be inserted

rq
    request to fill

kbuf
    the kernel buffer

len
    length of user data

gfp_mask
    memory allocation flags

DESCRIPTION

Data will be mapped directly if possible. Otherwise a bounce buffer is used. Can be called multiple times to append multiple buffers.

COPYRIGHT